Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest
Interface Parameters.MutableTestsParameters

All Superinterfaces:
  Parameters.TestsParameters

All Known Implementing Classes:
  BasicParameters, FileParameters, TestsInterview

Enclosing interface:
  Parameters

    public static interface Parameters.MutableTestsParameters

extends Parameters.TestsParameters

An interface providing abstract access to a set of paths defining the tests and folders of tests to be run.

Field Summary
`static int` | `ALL_TESTS` A constant used to indicate that all tests in the test suite should be run.
`static int` | `SPECIFIED_TESTS` A constant used to indicate that specified tests in the test suite should be run.

Method Summary
`java.lang.String[]` | `getSpecifiedTests()` Get the set of specified tests to be used as the set of tests to be run when the mode is set to SPECIFIED_TESTS.
`int` | `getTestsMode()` Get the current mode for how the tests are specified.
`void` | `setSpecifiedTests(java.lang.String[] tests)` Set the specified tests to be be run when the mode is set to SPECIFIED_TESTS.
`void` | `setTests(java.lang.String[] tests)` Specify the tests to be executed.
`void` | `setTestsMode(int mode)` Set the current mode for how the tests are specified.

Methods inherited from interface com.sun.javatest.Parameters.TestsParameters
`getTests`

Field Detail

### ALL_TESTS

    static final int ALL_TESTS

  A constant used to indicate that all tests in the test suite should be run.

  See Also:
    Constant Field Values

### SPECIFIED_TESTS

    static final int SPECIFIED_TESTS

  A constant used to indicate that specified tests in the test suite should be run.

  See Also:
    Constant Field Values

Method Detail

### setTests

    void setTests(java.lang.String[] tests)

  Specify the tests to be executed.

  Parameters:
    `tests` - If null, set the tests mode to ALL_TESTS; if not null, set the tests mode to SPECIFIED_TESTS, and set the specified tests.
  See Also:
    `Parameters.TestsParameters.getTests()`

### getTestsMode

    int getTestsMode()

  Get the current mode for how the tests are specified.

  Returns:
    ALL_TESTS if all tests are to be run, irrespective of the selected tests, or SPECIFIED_TESTS if a set of specified tests are to be run.
  See Also:
    `setTestsMode(int)`, `ALL_TESTS`, `SPECIFIED_TESTS`

### setTestsMode

    void setTestsMode(int mode)

  Set the current mode for how the tests are specified.

  Parameters:
    `mode` - use ALL_TESTS if all tests are to be run, irrespective of the selected tests, or SPECIFIED_TESTS if a set of specified tests are to be run.
  Throws:
    `java.lang.IllegalArgumentException` - if neither ALL_TESTS or SPECIFIED_TESTS is given
  See Also:
    `getTestsMode()`, `ALL_TESTS`, `SPECIFIED_TESTS`

### getSpecifiedTests

    java.lang.String[] getSpecifiedTests()

  Get the set of specified tests to be used as the set of tests to be run when the mode is set to SPECIFIED_TESTS. When the mode is set to ALL_TESTS, the specified tests are remembered, but not used, until the mode is set back to SPECIFIED_TESTS.

  Returns:
    an array of specified tests to be used as the set of tests to be run when the mode is set to SPECIFIED_TESTS.
  See Also:
    `setSpecifiedTests(java.lang.String[])`, `Parameters.TestsParameters.getTests()`

### setSpecifiedTests

    void setSpecifiedTests(java.lang.String[] tests)

  Set the specified tests to be be run when the mode is set to SPECIFIED_TESTS. When the mode is set to ALL_TESTS, these tests are remembered, but not used, until the mode is set back to SPECIFIED_TESTS.

  Parameters:
    `tests` - an array of paths identifying the tests to be run
  See Also:
    `getSpecifiedTests()`, `Parameters.TestsParameters.getTests()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.